Index: /branches/2.5/language/ru_RU/admin.lang.php
===================================================================
--- /branches/2.5/language/ru_RU/admin.lang.php	(revision 23452)
+++ /branches/2.5/language/ru_RU/admin.lang.php	(revision 23453)
@@ -175,10 +175,10 @@
 $lang['Authorize users to add comments on selected albums'] = 'Авторизованные пользователи могут добавлять комментарии к выбранным альбомам';
 $lang['The name of an album must not be empty'] = 'Название альбома не может быть пустым';
-$lang['Lock albums'] = 'Заблокированные альбомы';
+$lang['Lock albums'] = 'Управление блокировкой альбомов';
 $lang['Private'] = 'Приватные альбомы';
 $lang['Public'] = 'Общедоступные альбомы';
 $lang['Find a new representant by random'] = 'Найти нового представителя случайным образом';
 $lang['Public / Private'] = 'Общедоступные / Приватные';
-$lang['Manage authorizations for selected albums'] = 'Управление авторизацией для выбранных альбомов';
+$lang['Manage authorizations for selected albums'] = 'Управление доступом для выбранных альбомов';
 $lang['Virtual album added'] = 'Виртуальный альбом добавлен';
 $lang['Virtual album deleted'] = 'Виртуальный альбом удален';
@@ -192,13 +192,13 @@
 $lang['confirm'] = 'подтверждение';
 $lang['delete album'] = 'удалить альбом';
-$lang['Dissociate from album'] = 'отделить альбом';
+$lang['Dissociate from album'] = 'Отделить из альбома';
 $lang['dissociate from group'] = 'отвязать от группы';
 $lang['Album updated successfully'] = 'Информация об альбоме успешно добавлена.';
-$lang['photos per page'] = 'фотографий на странице';
+$lang['photos per page'] = 'Изображений на странице';
 $lang['High definition enabled'] = 'Доступно высокое разрешение';
 $lang['File'] = 'файл';
-$lang['first photo added on %s'] = 'первая фотография добавлена %s';
+$lang['first photo added on %s'] = 'первое изображение добавлено %s';
 $lang['Forbidden'] = 'Запрещено';
-$lang['global mode'] = 'групповой режим';
+$lang['global mode'] = 'Групповой режим';
 $lang['group "%s" added'] = 'группа "%s" добавлена';
 $lang['group "%s" deleted'] = 'группа "%s" удалена';
@@ -211,5 +211,5 @@
 $lang['leave'] = 'оставить';
 $lang['Lock'] = 'Блокировка';
-$lang['Locked'] = 'Заблокировано';
+$lang['Locked'] = 'Заблокированные';
 $lang['manage album photos'] = 'управлять элементами альбома';
 $lang['manage sub-albums'] = 'Управление вложенными альбомами';
@@ -225,5 +225,5 @@
 $lang['See you soon,'] = 'Пока,';
 $lang['Go to'] = 'Перейти к ';
-$lang['Hello'] = 'Привет ';
+$lang['Hello'] = 'Привет,';
 $lang['New photos were added'] = 'Были добавлены новые фотографии';
 $lang['on'] = ' в ';
@@ -296,5 +296,5 @@
 $lang['test'] = 'тест';
 $lang['test this remote site'] = 'тестировать этот удаленный сайт';
-$lang['remove tags'] = 'удалить метки';
+$lang['remove tags'] = 'Удалить тэги';
 $lang['Repair and optimize database'] = 'исправить и оптимизировать базу данных';
 $lang['selection'] = 'отмеченные';
@@ -313,5 +313,5 @@
 $lang['Directory'] = 'Папка';
 $lang['sub-albums'] = 'вложенные альбомы';
-$lang['Synchronize metadata'] = 'синхронизировать метаданные';
+$lang['Synchronize metadata'] = 'Синхронизировать метаданные';
 $lang['target'] = 'изменить';
 $lang['Thumbnail'] = 'миниатюра';
@@ -325,7 +325,7 @@
 $lang['Database synchronization with files'] = 'Синхронизация базы данных с файлами';
 $lang['all'] = 'все';
-$lang['height must be a number superior to'] = 'высота должна быть числом больше';
-$lang['width must be a number superior to'] = 'ширина должна быть числом больше';
-$lang['for the file format'] = 'для файла формата';
+$lang['height must be a number superior to'] = 'высота должна быть числом больше, чем';
+$lang['width must be a number superior to'] = 'ширина должна быть числом больше, чем';
+$lang['for the file format'] = 'для формата файла';
 $lang['Photo unreachable or no support'] = 'Фотография недоступна или поддержка не возможна';
 $lang['GD version'] = 'версия GD';
@@ -334,10 +334,10 @@
 $lang['number of miniaturized photos'] = 'число фотографий с миниатюрами';
 $lang['total time'] = 'общее время';
-$lang['for this file format'] = 'для этого формата файла';
-$lang['unit mode'] = 'одиночный режим';
-$lang['Unlocked'] = 'Разблокировать';
+$lang['for this file format'] = 'для формата этого файла';
+$lang['unit mode'] = 'Одиночный режим';
+$lang['Unlocked'] = 'Доступные';
 $lang['unset'] = 'очистить';
-$lang['Update albums informations'] = 'Обновить информацию об альбоме';
-$lang['Update photos information'] = 'Обновить информацию о фотографии';
+$lang['Update albums informations'] = 'Обновить информацию об альбомах';
+$lang['Update photos information'] = 'Обновить информацию об изображениях';
 $lang['Synchronize'] = 'Синхронизация';
 $lang['reduce to single existing albums'] = 'поместить в один из существующих альбомов';
@@ -372,5 +372,5 @@
 $lang['wrong filename'] = 'неверное имя файла';
 $lang['Upload'] = 'Загрузка';
-$lang['user "%s" added'] = 'пользователь "%s" added';
+$lang['user "%s" added'] = 'пользователь "%s" добавлен';
 $lang['User status'] = 'Статус пользователя';
 $lang['user_status_admin'] = 'Администратор';
@@ -492,5 +492,5 @@
 $lang['Documentation'] = 'Документация';
 $lang['A new version of Piwigo is available.'] = 'Доступна новая версия Piwigo.';
-$lang['Piwigo Administration'] = 'Администрация Piwigo';
+$lang['Piwigo Administration'] = 'Администрирование Piwigo';
 $lang['Piwigo version'] = 'Версия Piwigo';
 $lang['You are running the latest version of Piwigo.'] = 'Запущена последняя версия Piwigo.';
@@ -509,5 +509,5 @@
 $lang['All optimizations have been successfully completed.'] = 'Все оптимизации успешно завершены.';
 $lang['Optimizations have been completed with some errors.'] = 'Оптимизации завершены с ошибками.';
-$lang['Modify information'] = 'Modify information';
+$lang['Modify information'] = 'Внести изменения в информацию';
 $lang['nothing'] = 'ничего';
 $lang['overrides existing values with empty ones'] = 'замена существующих значений пустыми';
@@ -533,5 +533,5 @@
 $lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Оставайтесь на связи с проектом Piwigo, подпишитесь на информационную рассылку Piwigo. Вы получите письмо, как только будет доступен новый релиз (иногда письма будут содержать корректировку ошибок безопасности, о которых Вы должны знать и исправить), или когда произойдет какое-то важное событие с проектом. Это всего несколько электронных писем в год.';
 $lang['Subscribe %s'] = 'Подписка %s';
-$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Подписать %s на Piwigo информационную рассылку';
+$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Подписать %s на информационную рассылку от Piwigo';
 $lang['Purge search history'] = 'Очистить историю поиска';
 $lang['Hide'] = 'Спрятать';
@@ -569,5 +569,5 @@
 $lang['Select files'] = 'Выбрать файлы';
 $lang['Everybody'] = 'Все';
-$lang['Who can see these photos?'] = 'Кто может смотреть эти фотографии?';
+$lang['Who can see these photos?'] = 'Кто может смотреть эти изображения?';
 $lang['Settings'] = 'Установки';
 $lang['Resize'] = 'Изменить размеры';
@@ -581,5 +581,5 @@
 $lang['Add write access to the "%s" directory'] = 'Добавьте права записи для папки "%s"';
 $lang['Administration Home'] = 'Панель администрирования';
-$lang['Change Admin Colors'] = 'Изменить цвет административной панели';
+$lang['Change Admin Colors'] = 'Изменить цвет панели администратора';
 $lang['Delete this theme'] = 'Удалить эту тему';
 $lang['Directory does not exist'] = 'Папка не существует';
@@ -614,6 +614,6 @@
 $lang['Add New Language'] = 'Добавить новый язык';
 $lang['Language has been successfully installed'] = 'Язык был успешно установлен';
-$lang['Select:'] = 'выбрать:';
-$lang['None'] = 'ни один';
+$lang['Select:'] = 'Вы можете выбрать:';
+$lang['None'] = 'Ничего';
 $lang['Invert'] = 'Обратить';
 $lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Невозможный деактивировать эту тему, у Вас должна оставаться по крайней мере одна тема.';
@@ -650,5 +650,5 @@
 $lang['Order of menubar items has been updated successfully.'] = 'Порядок расположения элементов меню изменен успешно.';
 $lang['This theme was not designed to be directly activated'] = 'В этой теме не предусмотрена активация напрямую';
-$lang['Who can see this photo?'] = 'Кто может смотреть эту фотографию?';
+$lang['Who can see this photo?'] = 'Кто может смотреть это изображение?';
 $lang['Pending Comments'] = 'Проверка комментариев';
 $lang['Menu Management'] = 'Меню';
@@ -678,5 +678,5 @@
 $lang['on the %d selected photos'] = 'на %d выбранных фотографиях';
 $lang['%d of %d photos selected'] = '%d из %d фотографий выбрано';
-$lang['No photo selected, %d photos in current set'] = 'Ниодна фотография не выбрана, в текущем наборе %d фото';
+$lang['No photo selected, %d photos in current set'] = 'Ничего не выбрано, а всего в текущем наборе - %d изображений';
 $lang['All %d photos are selected'] = 'Все %d фотографии были выбраны';
 $lang['remove this filter'] = 'удалить этот фильтр';
@@ -684,9 +684,9 @@
 $lang['Add a filter'] = 'Добавить фильтр';
 $lang['Remove all filters'] = 'Удалить все фильтры';
-$lang['Refresh photo set'] = 'Обновить набор фотографий';
+$lang['Refresh photo set'] = 'Обновить набор изображений';
 $lang['The whole page'] = 'Все на странице';
 $lang['The whole set'] = 'Все в наборе';
 $lang['No photo in the current set.'] = 'Нет фотографий в текущем наборе.';
-$lang['No photo selected, no action possible.'] = 'Фото не выбрано, действие не возможно.';
+$lang['No photo selected, no action possible.'] = 'Ничего не выбрано, действие невозможно.';
 $lang['Choose an action'] = 'Выберите действие';
 $lang['remove author'] = 'удалить автора';
@@ -696,5 +696,5 @@
 $lang['remove creation date'] = 'удалить дату создания';
 $lang['Album photos associated to the following albums: %s'] = 'Фотографии этого альбома связаны со следущими альбомами: %s';
-$lang['Delete orphan tags'] = 'Удалить неривязанные метки';
+$lang['Delete orphan tags'] = 'Удалить тэги, с которыми не связано ни одно изображение';
 $lang['delete photo'] = 'удалить фотографию';
 $lang['Orphan tags deleted'] = 'Непривязанные метки удалены';
@@ -738,5 +738,5 @@
 $lang['Update Complete'] = 'Обновление завершено';
 $lang['Piwigo Update'] = 'Обновление Piwigo';
-$lang['Extensions Update'] = 'обновление плагинов';
+$lang['Extensions Update'] = 'Обновление плагинов';
 $lang['All extensions are up to date.'] = 'Все плагины обновлены.';
 $lang['Following plugins may not be compatible with the new version of Piwigo:'] = 'Следующие плагины, возможно, не являются совместимыми с новой версией Piwigo:';
@@ -753,5 +753,5 @@
 $lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Включить данные истории (Предупреждение: память сервера может быть превышена)';
 $lang['Unable to dump database.'] = 'Невозможно сделать дамп базы данных.';
-$lang['Some upgrades are available for extensions.'] = 'Для плагинов доступны некоторые обновления.';
+$lang['Some upgrades are available for extensions.'] = 'Для некоторых плагинов доступны обновления.';
 $lang['Ignore All'] = 'Пропустить все';
 $lang['Crop'] = 'Обрезать';
@@ -792,5 +792,5 @@
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo не может получить файлы обновления с сервера';
 $lang['Zoom'] = 'увеличение';
-$lang['Add to caddie'] = 'добавить в корзину';
+$lang['Add to caddie'] = 'Добавить в корзину';
 
 $lang['%s has been successfully updated.'] = '%s успешно обновлено.';
@@ -798,5 +798,5 @@
 $lang['A locked gallery is only visible to administrators'] = 'Заблокированная галерея видна только администраторам';
 $lang['Activate comments'] = 'Активировать комментарии';
-$lang['Add tags'] = 'Добавить метки';
+$lang['Add tags'] = 'Добавить тэги';
 $lang['Applications'] = 'Приложения';
 $lang['Available versions for'] = 'Доступные версии для';
@@ -835,5 +835,5 @@
 $lang['bottom left corner'] = 'левый нижний угол';
 $lang['bottom right corner'] = 'правый нижний угол';
-$lang['By default, the center of interest is placed in the middle of the photo.'] = 'По умолчанию, центром композиции считается геометричесий центр изображения.';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = 'По умолчанию, центром композиции считается геометрический центр изображения.';
 $lang['cancel manual order'] = 'отменить ручную сортировку';
 $lang['Cancel'] = 'Отмена';
@@ -844,5 +844,5 @@
 $lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam создан для фотографов которым нужно просматривать, управлять, редактировать, каталогизировать, проставлять метки и публиковать фотографии.';
 $lang['Features include gallery browsing, album creation and photo upload.'] = 'Среди его возможностей просмотр галереи, создание альбома и загрузка фотографий.';
-$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'Для квадратного кропа, Piwigo старается максимально отобразить центр композиции.';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'При обрезке изображения, например квардратная миниатюра, Piwigo старается максимально отобразить центр композиции.';
 $lang['Gallery unlocked'] = 'Галерея разблокирована';
 $lang['Generate multiple size images'] = 'Сгенерировать изображения разных размеров';
@@ -874,5 +874,5 @@
 $lang['Save visits in history for'] = 'Сохранять посещения в истории для';
 $lang['Select a file'] = 'Выберите файл';
-$lang['Select a zone with your mouse to define a new center of interest.'] = 'Выделите зону мышкой чтобы указать центр композиции.';
+$lang['Select a zone with your mouse to define a new center of interest.'] = 'Выделите необходимую зону мышкой, и она станет новым отображаемым центром композиции.';
 $lang['Select groups...'] = 'Выбрать группы...';
 $lang['Select users...'] = 'Выбрать пользователей...';
@@ -954,3 +954,4 @@
 $lang['Type here the name of the new group'] = 'Введите имя новой группы';
 $lang['Purge user cache'] = 'Очистить кэш пользователя';
+$lang['The picture dimensions will be reduced to %dx%d pixels.'] = 'Размер изображения будет уменьшен до %dx%d пикселей.';
 ?>
Index: /branches/2.5/language/ru_RU/common.lang.php
===================================================================
--- /branches/2.5/language/ru_RU/common.lang.php	(revision 23452)
+++ /branches/2.5/language/ru_RU/common.lang.php	(revision 23453)
@@ -23,5 +23,5 @@
 /*
 Language Name: Русский [RU]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=434
 Author: Piwigo team
@@ -59,5 +59,5 @@
 $lang['Album'] = 'Альбом';
 $lang['Close this window'] = 'Закрыть это окно';
-$lang['Complete RSS feed (photos, comments)'] = 'Полная RSS лента (фотографии, комментарии)';
+$lang['Complete RSS feed (photos, comments)'] = 'Полная RSS лента (изображения, комментарии)';
 $lang['Confirm Password'] = 'Повторите пароль';
 $lang['Connection settings'] = 'Настройки соединения';
@@ -84,10 +84,10 @@
 $lang['Help'] = 'Помощь';
 $lang['Identification'] = 'Идентификация';
-$lang['Photos only RSS feed'] = 'RSS лента. Только фотографии.';
+$lang['Photos only RSS feed'] = 'RSS лента. Только изображения.';
 $lang['Keyword'] = 'Ключевые слова';
 $lang['Links'] = 'Ссылки';
 $lang['N/A'] = 'не определен';
 $lang['New on %s'] = 'Новое в %s';
-$lang['Notification'] = 'RSS-уведомления';
+$lang['Notification'] = 'RSS-ленты';
 $lang['Number of items'] = 'Кол-во на странице';
 $lang['Original dimensions'] = 'Исходный размер';
@@ -113,5 +113,5 @@
 $lang['Tag'] = 'Тэг';
 $lang['Tags'] = 'Тэги';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS лента позволяет Вам быть в курсе новостей этого веб-сайта: новые фотографии, обновленные альбомы, новые комментарии. Используйте RSS читатель.';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS лента позволяет Вам быть в курсе новостей этого веб-сайта: новые изображения, обновленные альбомы, новые комментарии. Используйте любой удобный для Вас RSS-ридер.';
 $lang['Unknown feed identifier'] = 'Неизвестный идентификатор ленты';
 $lang['User comments'] = 'Комментарии посетителей';
@@ -147,5 +147,5 @@
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Антифлуд: пожалуйста, подождите немного, прежде чем отправить следующий комментарий';
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Ваш комментарий НЕ отправлен, так как не соответствует правилам';
-$lang['An administrator must authorize your comment before it is visible.'] = 'Адимнмстратор должен проверить ваш комментарий, прежде чем он будет показан.';
+$lang['An administrator must authorize your comment before it is visible.'] = 'Администратор должен проверить ваш комментарий, прежде чем он будет показан.';
 $lang['This login is already used by another user'] = 'Этот логин уже используется другим посетителем';
 $lang['Comments'] = 'Комментарии';
@@ -194,5 +194,5 @@
 $lang['Invalid password!'] = 'Неверный пароль!';
 $lang['Language']='Язык';
-$lang['last %d days'] = 'послеедние %d дней';
+$lang['last %d days'] = 'последние %d дней';
 $lang['Last'] = 'Последняя';
 $lang['Logout'] = 'Выход';
@@ -240,5 +240,5 @@
 $lang['Redirection...'] = 'Перенаправляем...';
 $lang['Please, enter a login'] = 'Пожалуйста, введите логин';
-$lang['login mustn\'t end with a space character'] = 'логин не должен оканчиваться на пробел';
+$lang['login mustn\'t end with a space character'] = 'логин не должен оканчиваться пробелом';
 $lang['login mustn\'t start with a space character'] = 'логин не должен начинаться с пробела';
 $lang['this login is already used'] = 'такой логин уже есть';
@@ -270,5 +270,5 @@
 $lang['SQL queries in'] = 'SQL-запрос в';
 $lang['display only recently posted photos'] = 'показать только недавно загруженные фотографии';
-$lang['return to the display of all photos'] = 'вернуться к полному списку фотографии';
+$lang['return to the display of all photos'] = 'вернуться к полному списку фотографий';
 $lang['the beginning'] = 'с начала';
 $lang['Interface theme'] = 'Оформление';
@@ -292,5 +292,5 @@
 $lang['Registration of %s'] = 'Регистрация %s';
 $lang['Album: %s'] = 'Альбом: %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Неверный статус пользователя "гость", используйте статус по умолчанию. Пожалуйста сообщите вебмастеру.';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Неверный статус пользователя "гость", используйте статус по умолчанию. Пожалуйста, сообщите вебмастеру.';
 $lang['this email address is already in use'] = 'пользователь с таким адресом уже есть';
 $lang['Album results for'] = 'Альбом определен для';
@@ -309,7 +309,7 @@
 $lang['%d photos'] = '%d фотографии';
 $lang['%d photo is also linked to current tags'] = '%d фотография также связана с этими метками';
-$lang['%d photos are also linked to current tags'] = '%d фотографий также связаны с этими метками';
+$lang['%d photos are also linked to current tags'] = 'еще %d фотографий, связаных с этими метками';
 $lang['display photos linked to this tag'] = 'показать фотографии, связанные с этой меткой';
-$lang['photos posted during the last %d days'] = 'фотографии, опубликованный последние %d дней';
+$lang['photos posted during the last %d days'] = 'фотографии, опубликованные за последние %d дней';
 $lang['Piwigo Help'] = 'Помощь';
 $lang['Rank'] = 'Ряд';
@@ -344,5 +344,5 @@
 $lang['Invalid username or email'] = 'Неверное имя пользователя или адрес электронной почты';
 $lang['Password reset is not allowed for this user'] = 'Для этого пользователя сброс пароля невозможен';
-$lang['User "%s" has no email address, password reset is not possible'] = 'У пользователя "%s" нет адреса электронной почты, сброс пароля невоможен';
+$lang['User "%s" has no email address, password reset is not possible'] = 'У пользователя "%s" нет адреса электронной почты, сброс пароля невозможен';
 $lang['Someone requested that the password be reset for the following user account:'] = 'Поступил запрос на изменение пароля для следуюшей учетной записи:';
 $lang['Username "%s" on gallery %s'] = 'Пользователь "%s" в галерее %s';
@@ -370,5 +370,5 @@
 $lang['Username modification'] = 'Изменить имя пользователя';
 $lang['Your username has been successfully changed to : %s'] = 'Имя пользователя было успешно изменено на %s';
-$lang['square'] = 'Квардат';
+$lang['square'] = 'Квадрат';
 $lang['thumb'] = 'Миниатюра';
 $lang['2small'] = 'XXS - крошечный';
Index: /branches/2.5/language/ru_RU/install.lang.php
===================================================================
--- /branches/2.5/language/ru_RU/install.lang.php	(revision 23452)
+++ /branches/2.5/language/ru_RU/install.lang.php	(revision 23453)
@@ -28,14 +28,10 @@
 $lang['Admin configuration'] = 'Настройка администрирования';
 $lang['Start Install'] = 'Начать установку';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'адрес электронной почты должен быть похож на xxx@yyy.eee (например: jack@altern.org)';
-$lang['Webmaster login'] = 'Логин вебмастера';
 $lang['It will be shown to the visitors. It is necessary for website administration'] = 'Он будет показан посетителям. Необходим для администрирования сайта';
 $lang['Connection to server succeed, but it was impossible to connect to database'] = 'Успешно соединились с сервером, но невозможно подключиться к базе данных';
 $lang['Can\'t connect to server'] = 'Невозможно соединиться с сервером';
 $lang['Host'] = 'Хост MySQL';
-$lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, toto.freesurf.fr';
 $lang['User'] = 'Пользователь';
 $lang['user login given by your host provider'] = 'логин, который выдал провайдер';
-$lang['Password'] = 'Пароль';
 $lang['user password given by your host provider'] = 'пароль, который выдал провайдер';
 $lang['Database name'] = 'Имя базы данных';
@@ -46,10 +42,8 @@
 $lang['webmaster login can\'t contain characters \' or "'] = 'логин вебмастера не должен содержать символы  \' или "';
 $lang['please enter your password again'] = 'еще раз пароль';
-$lang['Webmaster password'] = 'Пароль вебмастера';
 $lang['Keep it confidential, it enables you to access administration panel'] = 'Не сообщайте его никому, он необходим для доступа к панели администрирования';
 $lang['Password [confirm]'] = 'Повторите пароль';
 $lang['verification'] = 'еще раз для исключения опечатки';
 $lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Нужна помощь? Задайте свои вопросы на <a href="%s">Форуме Piwigo</a>.';
-$lang['Webmaster mail address'] = 'Электронная почта вебмастера';
 $lang['Visitors will be able to contact site administrator with this mail'] = 'Будет использоваться для контакта посетителей с администратором';
 $lang['PHP 5 is required'] = 'Требуется PHP 5';
@@ -60,5 +54,5 @@
 $lang['Sorry!'] = 'Извините!';
 $lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo не в состоянии переконфигурировать PHP 5.';
-$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Вы должны обратиться к своему провайдеру за поддержой и разъяснениями  как Вы можете переключиться на PHP 5.';
+$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Вы должны обратиться к своему провайдеру за поддержой и разъяснениями, как переключиться на PHP 5.';
 $lang['Hope to see you back soon.'] = 'Надеемся скоро увидеть Вас вновь.';
 $lang['Congratulations, Piwigo installation is completed'] = 'Поздравляем, установка Piwigo полностью завершена';
@@ -69,5 +63,6 @@
 $lang['Just another Piwigo gallery'] = 'Еще одна галерея Piwigo';
 $lang['Welcome to my photo gallery'] = 'Добро пожаловать в мою фотогалерею';
-$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Пожалуйста консультируйтесь на нашем форуме для любой помощи:';
+$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Не стесняйтесь консультироваться на наших форумах для получения любой помощи, %s';
 $lang['Welcome to your new installation of Piwigo!'] = 'Добро пожаловать в новую установку Piwigo!';
+$lang['localhost or other, supplied by your host provider'] = 'localhost или другой, который указан провайдером';
 ?>
Index: /branches/2.5/language/ru_RU/upgrade.lang.php
===================================================================
--- /branches/2.5/language/ru_RU/upgrade.lang.php	(revision 23452)
+++ /branches/2.5/language/ru_RU/upgrade.lang.php	(revision 23453)
@@ -32,5 +32,5 @@
 $lang['Only administrator can run upgrade: please sign in below.'] = 'Только администратор может запустить обновление: проверьте ниже.';
 $lang['You do not have access rights to run upgrade'] = 'У вас нет прав на запуск обновлений';
-$lang['All sub-albums of private albums become private'] = 'Все вложенные альбомы для приватного альбома тоже становятся приватными';
+$lang['All sub-albums of private albums become private'] = 'Все альбомы, вложенные в приватный альбом, тоже становятся приватными';
 $lang['User permissions and group permissions have been erased'] = 'Разрешения пользователей и групп были стерты';
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Только префикс эскизов и адрес почты вебмастера были сохранены от предыдущей конфигурации';
Index: /branches/2.5/language/sk_SK/common.lang.php
===================================================================
--- /branches/2.5/language/sk_SK/common.lang.php	(revision 23452)
+++ /branches/2.5/language/sk_SK/common.lang.php	(revision 23453)
@@ -26,5 +26,5 @@
 /*
 Language Name: Slovensky [SK]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=452
 Author: Piwigo team
